#
# spec file for package vlc-beta
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pulseplugin 0%{?suse_version} > 1140
%define withxcb 0%{?suse_version} > 1131
%define libvlc 6
%define libvlccore 9
%define conflicts vlc

%ifarch %arm
%bcond_without opengles
%else
%bcond_with opengles
%endif

%bcond_with dvdnav

Name:           vlc-beta
Version:        3.0.0_20150209001git
Release:        1.5
Summary:        Video Lan Client multimedia player (preview of the upcoming 3.x version)
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.videolan.org
Source:         %{name}-%{version}.tar.xz
Source1:        revision.txt
Patch3:         0001-no-return-in-non-void.patch
Patch5:         fix_lib_version.patch
BuildRequires:  Mesa-devel
#!BuildIgnore:  brp-check-suse post-build-check
BuildRequires:  aalib-devel
BuildRequires:  alsa-devel
BuildRequires:  automake >= 1.11
BuildRequires:  avahi-devel
BuildRequires:  dirac-devel
BuildRequires:  fdupes
# BuildRequires that are not actively used for VLC, but for the build itself to work smoothly
BuildRequires:  findutils
BuildRequires:  flac-devel
BuildRequires:  freetype2-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc-c++
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gettext-devel
BuildRequires:  git
BuildRequires:  pkgconfig(libgme)
BuildRequires:  gnome-vfs2-devel
%if 0%{?suse_version} >= 1310
BuildRequires:  gnutls-devel >= 3.2.0
%endif
BuildRequires:  gtk2-devel
BuildRequires:  libass-devel
BuildRequires:  libavc1394-devel
%if 0%{?suse_version} > 1320
BuildRequires:  libbluray-devel >= 0.5.0
%endif
%if 0%{?suse_version} > 1110 
BuildRequires:  libcaca-devel
%endif
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libdc1394-devel
%if 0%{?suse_version} >= 1230
BuildRequires:  libchromaprint-devel
%endif
BuildRequires:  libdvbpsi-devel
%if %{with dvdnav}
BuildRequires:  libdvdnav-devel  > 4.9.0
BuildRequires:  libdvdread-devel > 4.9.0
%endif
BuildRequires:  libgcrypt-devel
BuildRequires:  libidn-devel
BuildRequires:  libjack-devel
BuildRequires:  libkate-devel
BuildRequires:  libmatroska-devel
%if 0%{?suse_version} > 1110
BuildRequires:  libmlt6-modules
%endif
BuildRequires:  libmodplug-devel
%if 0%{?suse_version} >= 1140
BuildRequires:  libmtp-devel >= 1.0.0
%endif
BuildRequires:  libnotify-devel
BuildRequires:  libogg-devel
BuildRequires:  libopus-devel
BuildRequires:  libqt4-devel
BuildRequires:  libraw1394-devel
BuildRequires:  librsvg-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libshout-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libssh2-devel
%if 0%{?suse_version} >= 1310 || 0%{?BUILD_ORIG}
BuildRequires:  pkgconfig(libswscale)
%endif
BuildRequires:  libtheora-devel
BuildRequires:  libtool
BuildRequires:  libupnp-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  lirc-devel
BuildRequires:  live555 >= 2014.09.22
%if 0%{?suse_version} > 1315
BuildRequires:  ncurses-devel
%endif
BuildRequires:  pcre-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  projectM-devel
%endif
BuildRequires:  pulseaudio-devel
#!BuildIgnore:  raspberrypi-userland
BuildRequires:  schroedinger-devel
BuildRequires:  slang-devel
BuildRequires:  speex-devel
%if 0%{?suse_version} > 1110
BuildRequires:  taglib-devel >= 1.9
%else
BuildRequires:  libtag-devel
%endif
BuildRequires:  update-desktop-files
BuildRequires:  vcdimager-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  xcb-util-keysyms-devel
%endif
BuildRequires:  xosd-devel
BuildRequires:  xz
BuildRequires:  zvbi-devel
Requires:       %{name}-noX = %{version}-%{release}
Requires:       %{name}-qt = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts: %{conflicts}
%if 0%{?suse_version} >= 1200
BuildRequires:  fluidsynth-devel
%endif
%if 0%{?suse_version} >= 1220
BuildRequires:  freerdp-devel
%endif
%if 0%{?suse_version} > 1100
BuildRequires:  libudev-devel
%endif
%if 0%{?suse_version} > 1130
BuildRequires:  libv4l-devel
%endif
%if 0%{?suse_version} > 1130
BuildRequires:  libva-devel
%endif
%if 0%{?suse_version} >= 1310
BuildRequires:  LibVNCServer-devel
%endif
%if 0%{?suse_version} >= 1220
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif
%if 0%{?suse_version} >= 1140
BuildRequires:  opencv-devel
%endif
%if 0%{?suse_version} < 1120
BuildRequires:  SDL-devel
%else
BuildRequires:  libSDL-devel
%endif
%if 0%{?suse_version} >= 1140
BuildRequires:  libSDL_image-devel
%endif

# Those are dependencies which are NOT provided in openSUSE, mostly for legal reasons.
%if 0%{?BUILD_ORIG}
BuildRequires:  faad2-devel
BuildRequires:  liba52-devel
BuildRequires:  libdca-devel
BuildRequires:  libfaac-devel
BuildRequires:  libffmpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libtwolame-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libx264-devel
BuildRequires:  libx265-devel
BuildRequires:  libxvidcore-devel
%endif


%description
VLC media player is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast
in IPv4 or IPv6 on a high-bandwidth network.

%package devel
Summary:        Video Lan Client Development system
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Those development headers are required if you plan on coding against VLC

%package -n libvlc%{libvlc}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies

%package -n libvlccore%{libvlccore}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies

%package noX
Summary:        VLC: VideoLAN Client - without X dependencies
Group:          Productivity/Multimedia/Video/Players
Requires:       libvlc%{libvlc} = %{version}-%{release}
Requires:       libvlccore%{libvlccore} = %{version}-%{release}
Recommends:     libdvdcss
# lang subpackage
Recommends:     %{name}-noX-lang
Conflicts: %{conflicts}-noX

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.

%lang_package -n %{name}-noX

%if 0%{?BUILD_ORIG}
%package codecs
Summary:        VLC: VideoLAN Client - Codec extension
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name}-noX = %{version}
Supplements:    %{name}-noX

%description codecs
This Package enhances the functionality of the VLC VideoLAN Client with
Codecs that are not available in a stock openSUSE distribution.
%endif


%package qt
Summary:        VLC: VideoLAN Client - Qt interface
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name}-noX = %{version}-%{release}
Supplements:    packageand(%{name}-noX:libqt4)
Conflicts: %{conflicts}-qt

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%package gnome
Summary:        VLC: VideoLAN Client - Gnome Access Modules
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name}-noX = %{version}-%{release}
Supplements:    packageand(%{name}-noX:gnome-vfs2)
Conflicts: %{conflicts}-gnome

%description gnome
In order to integrate flawless into GNOME, there are some access modules
for gnome-vfs2.

%prep
echo '********* ENTERED PREP PHASE ********'
date
%setup -q
%patch3
%patch5

# fix builddate info
# Remove build time references so build-compare can do its work
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -e "s/__TIME__/\"$FAKE_BUILDTIME\"/" -i modules/gui/qt4/dialogs/help.cpp src/config/help.c
sed -e "s/__DATE__/\"$FAKE_BUILDDATE\"/" -i modules/gui/qt4/dialogs/help.cpp src/config/help.c

cp %{SOURCE1} ./src/
echo '********* ENDED PREP PHASE *********'
date

%build
echo '********* BOOTSTRAPPING *********'
date
export CFLAGS="%{optflags} -L%{_libdir}/live"
export CXXFLAGS="%{optflags} -L%{_libdir}/live"
./bootstrap
%configure \
   --disable-dependency-tracking        \
   --enable-aa                          \
   --enable-alsa                        \
   --enable-dca                         \
%if 0%{?suse_version} > 1230
   --enable-dvbpsi                      \
%else
   --disable-dvbpsi                     \
%endif
%if %{with dvdnav}
   --enable-dvdnav                      \
   --enable-dvdread                     \
%endif
   --enable-fast-install                \
   --enable-flac                        \
   --enable-freetype                    \
   --enable-fribidi                     \
   --enable-gnomevfs                    \
%if 0%{?suse_version} >= 1310
   --enable-gnutls                      \
%endif
   --enable-httpd                       \
   --enable-jack                        \
   --enable-kate                        \
   --enable-libass                      \
   --enable-libcddb                     \
   --enable-sftp                        \
   --disable-svgdec                     \
%if 0%{?suse_version} >= 1310 || 0%{?BUILD_ORIG}
   --enable-swscale                     \
%else
   --disable-swscale                    \
%endif
%if 0%{?BUILD_ORIG}
   --enable-libmpeg2                    \
   --enable-mad                         \
   --enable-avcodec                     \
   --enable-postproc                    \
   --enable-faad                        \
   --enable-a52                         \
   --enable-dca                         \
%else
   --disable-libmpeg2                   \
   --disable-mad                        \
   --disable-avcodec                    \
   --disable-postproc                   \
   --disable-faad                       \
   --disable-a52                        \
   --disable-dca                        \
%endif
   --enable-lirc                        \
   --enable-live555                     \
   --enable-lua                         \
   --enable-mkv                         \
   --enable-mod                         \
   --enable-ogg                         \
   --enable-optimizations               \
   --disable-oss                        \
%if 0%{pulseplugin}
   --enable-pulse                       \
%endif
   --enable-realrtsp                    \
   --enable-sout                        \
   --enable-speex                       \
   --enable-taglib                      \
   --enable-theora                      \
%if 0%{?suse_version} > 1130
   --enable-v4l2                        \
%else
   --disable-libv4l2                    \
%endif
   --enable-vcd                         \
   --enable-vcdx                        \
   --enable-vorbis                      \
%if 0%{?withxcb}
   --enable-xcb                         \
%else
   --disable-xcb                        \
%endif
%if %{with opengles}
  --enable-gles2                        \
  --enable-egl                          \
%endif
   --enable-xvideo                      \
   --with-default-font=%{_datadir}/fonts/truetype/FreeSerifBold.ttf \
   --with-default-monospace-font=%{_datadir}/fonts/truetype/FreeMono.ttf
echo '********* FINISHED CONFIGURE *********'
date
make %{?_smp_mflags}

%install
echo '********* ENTERED INSTALL PHASE *********'
date
make DESTDIR=%{buildroot} install %{?_smp_mflags}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file vlc Audio Video Player
%suse_update_desktop_file %{buildroot}%{_datadir}/kde4/apps/solid/actions/vlc-openbd.desktop Audio Video Player
%suse_update_desktop_file %{buildroot}%{_datadir}/kde4/apps/solid/actions/vlc-openvcd.desktop Audio Video Player
%suse_update_desktop_file %{buildroot}%{_datadir}/kde4/apps/solid/actions/vlc-opendvd.desktop Audio Video Player
%suse_update_desktop_file %{buildroot}%{_datadir}/kde4/apps/solid/actions/vlc-opencda.desktop Audio Video Player
%fdupes %{buildroot}%{_datadir}/vlc
# remove duplicate file
rm %{buildroot}/%{_datadir}/vlc/lua/http/requests/README.txt
# add missing manfiles
for i in ?vlc; do
    pushd %{buildroot}/%{_mandir}/man1
    ln -s vlc.1 $i.1
    popd
done
# clean up some lang issues...
for lang in ach cgg ff kmr; do
  rm -rf %{buildroot}%{_datadir}/locale/$lang
done
%find_lang vlc

%files
%defattr(-,root,root)
%{_bindir}/svlc
%{_datadir}/applications/vlc.desktop
%{_datadir}/pixmaps/vlc.png
%{_datadir}/icons/hicolor/*/apps/vlc*
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/apps
%{_datadir}/kde4/apps/solid
%exclude %{_libdir}/vlc/libcompat.a
%{_mandir}/man1/svlc*
%if 0%{?suse_version} > 1130
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%endif
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/codec/libsdl_image_plugin.so
%endif
%{_libdir}/vlc/plugins//notify/libnotify_plugin.so
%{_libdir}/vlc/plugins//video_filter/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libfreetype_plugin.so
%if 0%{withxcb}
%{_libdir}/vlc/plugins/video_splitter/libpanoramix_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so
%endif
%if %{with opengles}
%{_libdir}/vlc/plugins/video_output/libegl_plugin.so
%{_libdir}/vlc/plugins/video_output/libgles2_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libegl_x11_plugin.so
%if 0%{?suse_version} > 1315
%{_libdir}/vlc/plugins/video_output/libegl_wl_plugin.so
%endif
%{_libdir}/vlc/plugins/visualization/libglspectrum_plugin.so
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so
%if 0%{?suse_version} >= 1220
%{_libdir}/vlc/plugins/visualization/libprojectm_plugin.so
%endif


%files noX-lang -f vlc.lang
%defattr(-,root,root)

%files noX
%defattr(-,root,root)
%doc %{_datadir}/doc/vlc/
%doc NEWS AUTHORS COPYING THANKS README 
%{_bindir}/cvlc
%if 0%{?suse_version} > 1315
%{_bindir}/nvlc
%{_mandir}/man1/nvlc*
%endif
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_datadir}/vlc/
%{_mandir}/man1/cvlc*
%{_mandir}/man1/rvlc*
%{_mandir}/man1/vlc*
# Own the file.. but it's an auto-generated file, so ghost it.
%ghost %{_libdir}/vlc/plugins/plugins.dat
%dir %{_libdir}/vlc
%dir %{_libdir}/vlc/lua
%dir %{_libdir}/vlc/lua/extensions
%dir %{_libdir}/vlc/lua/intf
%dir %{_libdir}/vlc/lua/intf/modules
%dir %{_libdir}/vlc/lua/meta
%dir %{_libdir}/vlc/lua/meta/art
%dir %{_libdir}/vlc/lua/meta/fetcher
%dir %{_libdir}/vlc/lua/meta/reader
%dir %{_libdir}/vlc/lua/modules
%dir %{_libdir}/vlc/lua/playlist
%dir %{_libdir}/vlc/lua/sd
%dir %{_libdir}/vlc/plugins
%ifarch ppc ppc64 ppc64le ppc64p7
%dir %{_libdir}/vlc/plugins/altivec
%endif
%dir %{_libdir}/vlc/plugins/access
%dir %{_libdir}/vlc/plugins/access_output
%dir %{_libdir}/vlc/plugins/audio_filter
%dir %{_libdir}/vlc/plugins/audio_mixer
%dir %{_libdir}/vlc/plugins/audio_output
%dir %{_libdir}/vlc/plugins/codec
%dir %{_libdir}/vlc/plugins/control
%dir %{_libdir}/vlc/plugins/demux
%dir %{_libdir}/vlc/plugins/gui
%dir %{_libdir}/vlc/plugins/logger
%dir %{_libdir}/vlc/plugins/lua
%dir %{_libdir}/vlc/plugins/meta_engine
%dir %{_libdir}/vlc/plugins/misc
%dir %{_libdir}/vlc/plugins/mux
%dir %{_libdir}/vlc/plugins/notify
%dir %{_libdir}/vlc/plugins/packetizer
%dir %{_libdir}/vlc/plugins/services_discovery
%dir %{_libdir}/vlc/plugins/stream_filter
%dir %{_libdir}/vlc/plugins/stream_out
%dir %{_libdir}/vlc/plugins/text_renderer
%dir %{_libdir}/vlc/plugins/video_chroma
%dir %{_libdir}/vlc/plugins/video_filter
%dir %{_libdir}/vlc/plugins/video_output
%dir %{_libdir}/vlc/plugins/video_splitter
%dir %{_libdir}/vlc/plugins/visualization
# Files explicitly listed... so we are in full control of what goes to -noX, -codec or the X-depending pkg.
%if 0%{?BUILD_ORIG}
%{_libdir}/vlc/libvlc_vdpau.so.0
%{_libdir}/vlc/libvlc_vdpau.so.0.0.0
%endif
%{_libdir}/vlc/vlc-cache-gen
%{_libdir}/vlc/lua/extensions/VLSub.luac
%{_libdir}/vlc/lua/intf/cli.luac
%{_libdir}/vlc/lua/intf/dummy.luac
%{_libdir}/vlc/lua/intf/dumpmeta.luac
%{_libdir}/vlc/lua/intf/http.luac
%{_libdir}/vlc/lua/intf/luac.luac
%{_libdir}/vlc/lua/intf/modules/host.luac
%{_libdir}/vlc/lua/intf/modules/httprequests.luac
%{_libdir}/vlc/lua/intf/telnet.luac
%{_libdir}/vlc/lua/meta/art/00_musicbrainz.luac
%{_libdir}/vlc/lua/meta/art/01_googleimage.luac
%{_libdir}/vlc/lua/meta/art/02_frenchtv.luac
%{_libdir}/vlc/lua/meta/art/03_lastfm.luac
%{_libdir}/vlc/lua/meta/fetcher/tvrage.luac
%{_libdir}/vlc/lua/meta/reader/filename.luac
%{_libdir}/vlc/lua/modules/common.luac
%{_libdir}/vlc/lua/modules/dkjson.luac
%{_libdir}/vlc/lua/modules/sandbox.luac
%{_libdir}/vlc/lua/modules/simplexml.luac
%{_libdir}/vlc/lua/playlist/anevia_streams.luac
%{_libdir}/vlc/lua/playlist/anevia_xml.luac
%{_libdir}/vlc/lua/playlist/appletrailers.luac
%{_libdir}/vlc/lua/playlist/bbc_co_uk.luac
%{_libdir}/vlc/lua/playlist/break.luac
%{_libdir}/vlc/lua/playlist/canalplus.luac
%{_libdir}/vlc/lua/playlist/cue.luac
%{_libdir}/vlc/lua/playlist/dailymotion.luac
%{_libdir}/vlc/lua/playlist/extreme.luac
%{_libdir}/vlc/lua/playlist/france2.luac
%{_libdir}/vlc/lua/playlist/googlevideo.luac
%{_libdir}/vlc/lua/playlist/jamendo.luac
%{_libdir}/vlc/lua/playlist/joox.luac
%{_libdir}/vlc/lua/playlist/katsomo.luac
%{_libdir}/vlc/lua/playlist/koreus.luac
%{_libdir}/vlc/lua/playlist/lelombrik.luac
%{_libdir}/vlc/lua/playlist/liveleak.luac
%{_libdir}/vlc/lua/playlist/metacafe.luac
%{_libdir}/vlc/lua/playlist/metachannels.luac
%{_libdir}/vlc/lua/playlist/mpora.luac
%{_libdir}/vlc/lua/playlist/pinkbike.luac
%{_libdir}/vlc/lua/playlist/pluzz.luac
%{_libdir}/vlc/lua/playlist/rockbox_fm_presets.luac
%{_libdir}/vlc/lua/playlist/soundcloud.luac
%{_libdir}/vlc/lua/playlist/vimeo.luac
%{_libdir}/vlc/lua/playlist/youtube.luac
%{_libdir}/vlc/lua/playlist/youtube_homepage.luac
%{_libdir}/vlc/lua/playlist/zapiks.luac
%{_libdir}/vlc/lua/sd/fmc.luac
%{_libdir}/vlc/lua/sd/icast.luac
%{_libdir}/vlc/lua/sd/icecast.luac
%{_libdir}/vlc/lua/sd/jamendo.luac
%{_libdir}/vlc/lua/sd/metachannels.luac
%ifarch ppc ppc64 ppc64le ppc64p7
%{_libdir}/vlc/plugins/altivec/libi420_yuy2_altivec_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_bd_plugin.so
%{_libdir}/vlc/plugins/access/libftp_plugin.so
%{_libdir}/vlc/plugins/access/libhttp_plugin.so
%{_libdir}/vlc/plugins/access/libimem_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libaccess_realrtsp_plugin.so
%{_libdir}/vlc/plugins/access/libattachment_plugin.so
%{_libdir}/vlc/plugins/access/libcdda_plugin.so
%{_libdir}/vlc/plugins/access/librar_plugin.so
%{_libdir}/vlc/plugins/access/libsftp_plugin.so
%{_libdir}/vlc/plugins/access/libsmb_plugin.so
%{_libdir}/vlc/plugins/access/libtcp_plugin.so
%{_libdir}/vlc/plugins/access/libudp_plugin.so
%{_libdir}/vlc/plugins/access/libvdr_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libdtv_plugin.so
%{_libdir}/vlc/plugins/access/libdv1394_plugin.so
%if 0%{?suse_version} > 1230
%{_libdir}/vlc/plugins/access/libdvb_plugin.so
%endif
%if 0%{?suse_version} > 1315
%{_libdir}/vlc/plugins/access/libwl_screenshooter_plugin.so
%endif
%if %{with dvdnav}
%{_libdir}/vlc/plugins/access/libdvdnav_plugin.so
%{_libdir}/vlc/plugins/access/libdvdread_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%{_libdir}/vlc/plugins/access/libidummy_plugin.so
%if 0%{?suse_version} > 1320
%{_libdir}/vlc/plugins/access/liblibbluray_plugin.so
%endif
%{_libdir}/vlc/plugins/access/liblive555_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_hdsdi_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_sdi_plugin.so
%if 0%{pulseplugin}
%{_libdir}/vlc/plugins/access/libpulsesrc_plugin.so
%endif
%if 0%{?suse_version} >= 1220
%{_libdir}/vlc/plugins/access/librdp_plugin.so
%endif
%{_libdir}/vlc/plugins/access/librtp_plugin.so
%{_libdir}/vlc/plugins/access/libsdp_plugin.so
%{_libdir}/vlc/plugins/access/libshm_plugin.so
%{_libdir}/vlc/plugins/access/libtimecode_plugin.so
%{_libdir}/vlc/plugins/access/libv4l2_plugin.so
%{_libdir}/vlc/plugins/access/libvcd_plugin.so
%{_libdir}/vlc/plugins/access/libvcdx_plugin.so
%if 0%{?suse_version} >= 1310
%{_libdir}/vlc/plugins/access/libvnc_plugin.so
%endif
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libzip_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_livehttp_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so
%{_libdir}/vlc/plugins/audio_filter/liba52tospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libcompressor_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdtstospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libgain_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libkaraoke_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmad_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libremap_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsamplerate_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspeex_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libstereo_widen_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libfloat_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libinteger_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_output/libadummy_plugin.so
%{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%{_libdir}/vlc/plugins/audio_output/libamem_plugin.so
%{_libdir}/vlc/plugins/audio_output/libafile_plugin.so
%{_libdir}/vlc/plugins/audio_output/libjack_plugin.so
%if 0%{?pulseplugin}
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif
%{_libdir}/vlc/plugins/codec/liba52_plugin.so
%{_libdir}/vlc/plugins/codec/libadpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%{_libdir}/vlc/plugins/codec/libaraw_plugin.so
%{_libdir}/vlc/plugins/codec/libcc_plugin.so
%{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libddummy_plugin.so
%{_libdir}/vlc/plugins/demux/libdiracsys_plugin.so
%{_libdir}/vlc/plugins/codec/libdts_plugin.so
%{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so
%{_libdir}/vlc/plugins/codec/libedummy_plugin.so
%{_libdir}/vlc/plugins/codec/libflac_plugin.so
%{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so
%{_libdir}/vlc/plugins/codec/libg711_plugin.so
%{_libdir}/vlc/plugins/codec/libjpeg_plugin.so
%{_libdir}/vlc/plugins/codec/libkate_plugin.so
%{_libdir}/vlc/plugins/codec/liblpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libmpeg_audio_plugin.so
%{_libdir}/vlc/plugins/codec/libopus_plugin.so
%{_libdir}/vlc/plugins/codec/libpng_plugin.so
%{_libdir}/vlc/plugins/codec/librawvideo_plugin.so
%{_libdir}/vlc/plugins/codec/librtpvideo_plugin.so
%{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so
%{_libdir}/vlc/plugins/codec/libspeex_plugin.so
%{_libdir}/vlc/plugins/codec/libspudec_plugin.so
%{_libdir}/vlc/plugins/codec/libstl_plugin.so
%{_libdir}/vlc/plugins/codec/libscte27_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so
%{_libdir}/vlc/plugins/codec/libsubstx3g_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libt140_plugin.so
%{_libdir}/vlc/plugins/codec/libtelx_plugin.so
%{_libdir}/vlc/plugins/codec/libtheora_plugin.so
%{_libdir}/vlc/plugins/codec/libuleaddvaudio_plugin.so
%{_libdir}/vlc/plugins/codec/libvorbis_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/codec/libxwd_plugin.so
%endif
%{_libdir}/vlc/plugins/codec/libzvbi_plugin.so
%{_libdir}/vlc/plugins/control/libdbus_plugin.so
%{_libdir}/vlc/plugins/control/libdummy_plugin.so
%{_libdir}/vlc/plugins/control/libgestures_plugin.so
%{_libdir}/vlc/plugins/control/libhotkeys_plugin.so
%if 0%{?suse_version} >= 1220
%{_libdir}/vlc/plugins/control/libxcb_hotkeys_plugin.so
%endif
%{_libdir}/vlc/plugins/control/liblirc_plugin.so
%{_libdir}/vlc/plugins/control/libmotion_plugin.so
%{_libdir}/vlc/plugins/control/libnetsync_plugin.so
%{_libdir}/vlc/plugins/control/liboldrc_plugin.so
%{_libdir}/vlc/plugins/demux/libaiff_plugin.so
%{_libdir}/vlc/plugins/demux/libasf_plugin.so
%{_libdir}/vlc/plugins/demux/libau_plugin.so
%{_libdir}/vlc/plugins/demux/libavi_plugin.so
%{_libdir}/vlc/plugins/demux/libcaf_plugin.so
%{_libdir}/vlc/plugins/demux/libdash_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_stl_plugin.so
%{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so
%{_libdir}/vlc/plugins/demux/libes_plugin.so
%{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%{_libdir}/vlc/plugins/demux/libgme_plugin.so
%{_libdir}/vlc/plugins/demux/libh264_plugin.so
%{_libdir}/vlc/plugins/demux/libimage_plugin.so
%{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so
%{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%{_libdir}/vlc/plugins/demux/libmod_plugin.so
%{_libdir}/vlc/plugins/demux/libmp4_plugin.so
%{_libdir}/vlc/plugins/demux/libmpgv_plugin.so
%{_libdir}/vlc/plugins/demux/libnsc_plugin.so
%{_libdir}/vlc/plugins/demux/libnsv_plugin.so
%{_libdir}/vlc/plugins/demux/libnuv_plugin.so
%{_libdir}/vlc/plugins/demux/libogg_plugin.so
%{_libdir}/vlc/plugins/demux/libplaylist_plugin.so
%{_libdir}/vlc/plugins/demux/libps_plugin.so
%{_libdir}/vlc/plugins/demux/libpva_plugin.so
%{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%{_libdir}/vlc/plugins/demux/librawdv_plugin.so
%{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%{_libdir}/vlc/plugins/demux/libreal_plugin.so
%{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so
%if 0%{?suse_version} > 1230
%{_libdir}/vlc/plugins/demux/libts_plugin.so
%endif
%{_libdir}/vlc/plugins/demux/libtta_plugin.so
%{_libdir}/vlc/plugins/demux/libty_plugin.so
%{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%{_libdir}/vlc/plugins/demux/libvobsub_plugin.so
%{_libdir}/vlc/plugins/demux/libvoc_plugin.so
%{_libdir}/vlc/plugins/demux/libwav_plugin.so
%{_libdir}/vlc/plugins/demux/libxa_plugin.so
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%{_libdir}/vlc/plugins/lua/liblua_plugin.so
%if 0%{?suse_version} > 1315
%{_libdir}/vlc/plugins/gui/libncurses_plugin.so
%endif
%{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%if 0%{?suse_version} >= 1230
%{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%endif
%{_libdir}/vlc/plugins/logger/libconsole_logger_plugin.so
%{_libdir}/vlc/plugins/logger/libfile_logger_plugin.so
%{_libdir}/vlc/plugins/logger/libsyslog_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsfsstorage_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsvorepository_plugin.so
%{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%{_libdir}/vlc/plugins/misc/libdbus_screensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libexport_plugin.so
%if 0%{?suse_version} >= 1230
%{_libdir}/vlc/plugins/misc/libfingerprinter_plugin.so
%endif
%if 0%{?suse_version} >= 1310
%{_libdir}/vlc/plugins/misc/libgnutls_plugin.so
%endif
%{_libdir}/vlc/plugins/misc/liblogger_plugin.so
%{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{_libdir}/vlc/plugins/misc/libvod_rtsp_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so
%endif
%{_libdir}/vlc/plugins/misc/libxml_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so
%if 0%{?suse_version} > 1230
%{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%endif
%{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dirac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libbonjour_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmediadirs_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%endif
%{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so
%if 0%{pulseplugin}
%{_libdir}/vlc/plugins/services_discovery/libpulselist_plugin.so
%endif
%{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libupnp_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so
%endif
%{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libhds_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libhttplive_plugin.so
%{_libdir}/vlc/plugins/stream_filter/librecord_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libsmooth_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so
%if 0%{?suse_version} >= 1230
%{_libdir}/vlc/plugins/stream_out/libstream_out_chromaprint_plugin.so
%endif
%{_libdir}/vlc/plugins/stream_out/libstream_out_delay_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_description_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_langfromtelx_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_raop_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_setid_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_stats_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libsvg_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libtdummy_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_plugin.so
%ifarch %{ix86} x86_64
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_mmx_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_sse2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_sse2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_sse2_plugin.so
%endif
%{_libdir}/vlc/plugins/video_chroma/librv32_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so
%{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so
%{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%{_libdir}/vlc/plugins/video_filter/libanaglyph_plugin.so
%{_libdir}/vlc/plugins/video_filter/libantiflicker_plugin.so
%{_libdir}/vlc/plugins/video_filter/libatmo_plugin.so
%{_libdir}/vlc/plugins/video_filter/libaudiobargraph_v_plugin.so
%{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblend_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libchain_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libclone_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdynamicoverlay_plugin.so
%{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfps_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfreeze_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradfun_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libhqdn3d_plugin.so
%{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so
%{_libdir}/vlc/plugins/video_filter/liblogo_plugin.so
%{_libdir}/vlc/plugins/video_filter/liboldmovie_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmarq_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmosaic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/video_filter/libopencv_example_plugin.so
%{_libdir}/vlc/plugins/video_filter/libopencv_wrapper_plugin.so
%endif
%{_libdir}/vlc/plugins/video_filter/libposterize_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%{_libdir}/vlc/plugins/video_filter/librss_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscale_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsepia_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsubsdelay_plugin.so
%if 0%{?suse_version} >= 1310 || 0%{?BUILD_ORIG}
%{_libdir}/vlc/plugins/video_chroma/libswscale_plugin.so
%endif
%{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so
%{_libdir}/vlc/plugins/video_filter/libvhs_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libwall_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwave_plugin.so
%{_libdir}/vlc/plugins/video_filter/libyuvp_plugin.so
%{_libdir}/vlc/plugins/video_output/libcaca_plugin.so
%{_libdir}/vlc/plugins/video_output/libfb_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/video_output/libgl_plugin.so
%{_libdir}/vlc/plugins/video_output/libglx_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libvdummy_plugin.so
%{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%{_libdir}/vlc/plugins/video_output/libvout_sdl_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_xv_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%if 0%{?suse_version} > 1315
%{_libdir}/vlc/plugins/video_output/libwl_shell_surface_plugin.so
%{_libdir}/vlc/plugins/video_output/libwl_shm_plugin.so
%endif
%{_libdir}/vlc/plugins/visualization/libvisual_plugin.so

%if 0%{?BUILD_ORIG}
%files codecs
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libavio_plugin.so
%{_libdir}/vlc/plugins/audio_filter/liba52tofloat32_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdtstofloat32_plugin.so
%{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%{_libdir}/vlc/plugins/codec/libfaad_plugin.so
%{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so
%{_libdir}/vlc/plugins/codec/libtwolame_plugin.so
%{_libdir}/vlc/plugins/codec/libx264_plugin.so
%{_libdir}/vlc/plugins/codec/libx265_plugin.so
%{_libdir}/vlc/plugins/codec/libvaapi_drm_plugin.so
%{_libdir}/vlc/plugins/codec/libvaapi_x11_plugin.so
%{_libdir}/vlc/plugins/demux/libavformat_plugin.so
%{_libdir}/vlc/plugins/demux/libhevc_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_hevc_plugin.so
%dir %{_libdir}/vlc/plugins/vdpau
%{_libdir}/vlc/plugins/vdpau/libvdpau_adjust_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_avcodec_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_chroma_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_deinterlace_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_display_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_sharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%endif

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_mandir}/man1/qvlc*
%{_libdir}/vlc/plugins/gui/libqt4_plugin.so

%files gnome
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libgnomevfs_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc
%{_libdir}/vlc/libcompat.a
%if 0%{?BUILD_ORIG}
%{_libdir}/vlc/libvlc_vdpau.so
%endif

%post -n %{name}-noX -p /sbin/ldconfig

%postun -n %{name}-noX -p /sbin/ldconfig

%post -n libvlc%{libvlc} -p /sbin/ldconfig

%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig

%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%changelog
* Wed Jan 28 2015 aloisio@gmx.com
- Updated to current git version and droppped
  no longer necessary VLSub extension patch
- Removed a few obsolete options
- Fixed SLE-12 build
* Fri Jan  2 2015 aloisio@gmx.com
- Bumped libvlccore version to 9 to avoid clashes
  with the upcoming vlc 2.2
* Sun Nov 16 2014 aloisio@gmx.com
- Replaced malfunctioning VLSub extension with the official one
* Wed Oct 22 2014 aloisio@gmx.com
- Changed soname for libvlc to avoid conflict with vlc stable
* Fri Oct  3 2014 aloisio@gmx.com
- Switch to branch 3.x, #11931 fixed.
  * no dvd support due to lack of a sufficiently recent
    libdvdnav
  * no GnuTLS support on distributions older than openSUSE 13.1
* Sat Jul 13 2013 dimstar@opensuse.org
- Bump versio to 2.2.0: vlc 2.1.0 is closing in and git master
  already tracks vlc 2.2.0.
* Mon Aug  6 2012 dimstar@opensuse.org
- Disable oss: this is getting stale old and not really used on
  openSUSE anymore.
* Fri Mar 30 2012 dimstar@opensuse.org
- Inject -L%%%%{_libdir}/live into CFLAGS and CXXFLAGS for live555 to
  be built. The static lib is in a non-standard place and not
  detected by configure scripts.
* Tue Feb 21 2012 dimstar@opensuse.org
- Add dirac-devel BuildRequires.
* Wed Jan 18 2012 dimstar@opensuse.org
- Conditionally BuildRequire lua51-devel on Factory/12.2.
* Fri Dec  2 2011 dimstar@opensuse.org
- Add libtool BuildRequires, as we need to bootstrap the build.
* Wed Nov 16 2011 dominique-vlc.suse@leuenberger.net
- Add libbluray-devel BuildRequires. Allows us to also play back
  Blu-Ray disks.
* Mon Oct  3 2011 dominique-vlc.suse@leuenberger.net
- Disable v4l on openSUSE 11.3, as the code does not support the
  'old' kernel used here. See http://mailman.videolan.org/pipermail/vlc-devel/2011-October/082321.html
* Thu Aug 18 2011 dominique-vlc.suse@leuenberger.net
- Add git BuildRequires for the extended build system stamping a
  revision.
* Mon Jul 11 2011 dominique-vlc.suse@leuenberger.net
- Remove portaudio-devel BuildRequires: this is long obsoleted.
* Sun May  1 2011 dominique-vlc.suse@leuenberger.net
- Libass on openSUSE 11.3 is outdated and no longer supported.
* Fri Apr  1 2011 dominique-vlc.suse@leuenberger.net
- Rebase fix_font_patch.patch due to freetype.c move in the tree.
* Sun Mar  6 2011 dominique-vlc.suse@leuenberger.net
- Remove kde4-filesystem BuildReqiures. Too useless to track
  X-Distro.
* Mon Nov  8 2010 dominique-vlc.suse@leuenberger.net
- Remove no longer supported parameters from configure:
  - -enable-asademux, --enable-cddax, --enable-cmml,
  - -enable-libcdio, --enable-release, --enable-v4l
- Remove libasa-devel and csri-devel BuildRequires.
* Wed Oct 20 2010 dominique-vlc.suse@leuenberger.net
- Remove mozilla subpackage (will be split out in an own package)
* Fri Aug 27 2010 dominique-vlc.suse@leuenberger.net
- Add gdk-pixbuf-devel on openSUSE 11,4+.
- Add gtk2-devel BuildRequires for new versions of libnotify.
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libmatroska-devel instead of libmatroska.
* Sat Jul  3 2010 dominique-vlc.suse@leuenberger.net
- Add lirc-devel to BuildRequires to actually build the lirc
  interface. Thanks to Rob Verduijn for reporting this error.
* Wed Jun  9 2010 dominique-vlc.suse@leuenberger.net
- BuildRequires libva-devel on openSUSE 11.2+
* Thu May 13 2010 dominique-vlc.suse@leuenberger.net
- Add additionala BuildDependencies to have more complete feature
  set:
  +  avahi-devel, fluidsynth-devel, libavc1394-devel,
    libmodplug-devel, libmtp-devel, libraw1394-devel,
    librsvg-devel, libshout-devel, libudev-devel, libv4l-devel,
    libxml2-devel, pcre-devel, portaudio-devel, schroedinger-devel
    and zvbi-devel .
* Thu Apr 22 2010 dominique-vlc.suse@leuenberger.net
- Use mozilla-xulrunner192 on openSUSE 11.3.
* Thu Sep  3 2009 dominique-vlc.suse@leuenberger.net
- Properly conflict all the sub-packages from vlc stable release.
* Thu Aug 20 2009 dominique-vlc.suse@leuenberger.net
- Removed x11 and xvideo output modules.
* Mon Aug 10 2009 dominique-vlc.suse@leuenberger.net
- Remove --enable-caca. It's now properly auto-detected.
* Fri Aug  7 2009 dominique-vlc.suse@leuenberger.net
- Add support for flac and speex.
* Thu Jun 18 2009 dominique-vlc.suse@leuenberger.net
- Disable XCB on all openSUSE < 11.2
